import dd from 'gdt-jsapi';
import http from '../../src/http/index'
import util from '../../src/libs/util'
Page({
  data: {
    carList: []
  },
  onLoad(query) {
    this.getCarList()
  },
  getCarList () {
    const _this = this
    http.post(getApp().globalData.service + "/api/T_Equipment/CarList", {tenant_id: getApp().globalData.tenantId}).then(res => {
      if (res.Success) {
        _this.setData({
          carList: res.result
        })
      } else {
        util.ddToast({ type: 'fail', text: res.Message })
      }
    })
  },
  onPullDownRefresh() {
    // 页面被下拉
    this.getCarList();
    setTimeout(() => {
      dd.stopPullDownRefresh();
    }, 100);
  },
});
