import { JY_MENU_QUERY, SHY_MENU_QUERY, SYS_MENU_QUERY } from '../../src/common/constant';
Page({
  data: {
    radius: true,
    personalGeneralInfo: {},
    list: [
      {
        entitle: '待审批',
        icon: '../../src/assets/wait.png',
        page: '../orderList/orderList?arrIndex=0',
        title: '待审批'
      },
      {
        entitle: '待取车',
        icon: '../../src/assets/disagree.png',
        page: '../orderList/orderList?arrIndex=1',
        title: '待取车'
      },
      {
        entitle: '待还车',
        icon: '../../src/assets/disagree.png',
        page: '../orderList/orderList?arrIndex=2',
        title: '待还车'
      },
      {
        entitle: '已完成',
        icon: '../../src/assets/finish.png',
        page: '../orderList/orderList?arrIndex=3',
        title: '已完成'
      },
    ],
    menuList: []
  },
  handleMenuTap(e) {
    dd.navigateTo({
      url: e.target.dataset.info
    })
  },
  showOrder() {
    dd.navigateTo({
      url: '../orderList/orderList'
    })
  },
  onItemTap(event) {
    let index = event.target.dataset.index
    dd.navigateTo({
      url: this.data.list[index].page
    })
  },
  onLoad() {
    let myMenu = []
    if (getApp().globalData.userInfo.roleCodeList.find(i => i ==='gly')) {
      myMenu = myMenu.concat(SYS_MENU_QUERY)
    }
    if (getApp().globalData.userInfo.roleCodeList.find(i => i ==='jy')) {
      myMenu = myMenu.concat(JY_MENU_QUERY)
    }
    if (getApp().globalData.userInfo.roleCodeList.find(i => i ==='ld')) {
      myMenu = myMenu.concat(SHY_MENU_QUERY)
    }
    let obj = {}
    let result = myMenu.reduce((item, next) => {
      obj[next.thumb] ? '' : obj[next.thumb] = true && item.push(next)
      return item
    }, [])
    this.setData({
      personalGeneralInfo: {
        userName: getApp().globalData.userInfo.realname,
        company: getApp().globalData.company,
        avatar: getApp().globalData.userInfo.avatar
      },
      menuList: result
    });
  },
});
