import dd from 'gdt-jsapi';
import http from '../http';
import util from '../libs/util';

function login(arg) {
  // 获取免登授权码
  my.getAuthCode({
    success: (res) => {
      util.db.get('appInfo').then(reg => {
        http.get('/jeecg/dingTalk/getUserInfo', {code: res.authCode, tenantId: reg.id}).then(res => {
          if(res.success){
            getApp().globalData.userInfo = res.result.userInfo
            getApp().globalData.tenantId = reg.id
            getApp().globalData.company = reg.name
            if (!arg) {
              dd.redirectTo({ url: '/pages/my/my' })
            } else {
              dd.redirectTo({ url: '/pages/orderDetail/orderDetail?id=' + arg })
            }
          } else {
            util.ddToast({ type: 'fail', text: res.message })
          }
        })
      })
    },
    fail:function(err){
      console.log(JSON.stringify(err))
    }
  })
}

export default login
